Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

Error: The requested platform 'Alexa' was not registered

Répondre
Networks514
Actif
Messages : 578
Inscription : 02 sept. 2016, 22:22

Error: The requested platform 'Alexa' was not registered

Message par Networks514 » 04 juil. 2019, 17:00

Bonjour

Suite réinstallation dépendance, j'ai ce message au redémarrage du démon

Code : Tout sélectionner

[2019-7-4 14:25:11] ====================
[2019-7-4 14:25:12] Loaded plugin: homebridge-camera-ffmpeg
[2019-7-4 14:25:12] Registering platform 'homebridge-camera-ffmpeg.Camera-ffmpeg'
[2019-7-4 14:25:12] ---
[2019-7-4 14:25:12] Loaded plugin: homebridge-jeedom
[2019-7-4 14:25:12] Registering platform 'homebridge-jeedom.Jeedom'
[2019-7-4 14:25:12] ---
[2019-7-4 14:25:12] Loading 2 platforms...
[2019-7-4 14:25:12] [JEEDOM-PI] Initializing Jeedom platform...
[2019-7-4 14:25:12] [JEEDOM-PI] debugLevel:300
[2019-7-4 14:25:12] Error: The requested platform 'Alexa' was not registered by any plugin.
at API.platform (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/api.js:134:13)
at Server._loadPlatforms (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:327:45)
at Server.run (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:90:36)
at module.exports (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/cli.js:59:10)
at Object.<anonymous> (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/bin/homebridge:17:22)
at Module._compile (module.js:653:30)
at Object.Module._extensions..js (module.js:664:10)
at Module.load (module.js:566:32)
at tryModuleLoad (module.js:506:12)
at Function.Module._load (module.js:498:3)
[2019-7-4 14:25:12] Got SIGTERM, shutting down Homebridge...
Je ne comprends pourquoi :

Code : Tout sélectionner

[2019-7-4 14:25:12] Error: The requested platform 'Alexa' was not registered by any plugin.
J'avais avant dans la partie plateforme homebridge supplémentaire
{
"platform": "Alexa",
"name": "Alexa",
"username": "XXX",
"password": "XXX"
}

Rien dans Gérer les plugins pour Homebridge

J'ai tenté Réparer et Reinstaller idem.

En supprimant la plateforme homebridge supplémentaire, le demon démarre bien, mais quid de la plateforme Alexa

Ai-je loupé qq chose ?
Merci d'avance
Networks514
Jeedom / Synology DS411j / Synology DS916+8G / Rpi3 / Zibase
Zwave / Enocean / Rflink / Xiaomi / Bluetooth

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 04 juil. 2019, 17:02

Hello,Envoi ton log de dépendance après avoir fait réparer et réinstaller


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Networks514
Actif
Messages : 578
Inscription : 02 sept. 2016, 22:22

Re: Error: The requested platform 'Alexa' was not registered

Message par Networks514 » 04 juil. 2019, 20:05

Hello

Mon log

Code : Tout sélectionner

--0%
--10%
Lancement de l'installation/mise à jour des dépendances homebridge
--20%
Get:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]
Get:2 http://archive.raspberrypi.org/debian stretch InRelease [25.4 kB]
Hit:3 https://deb.nodesource.com/node_8.x stretch InRelease
Fetched 40.3 kB in 1s (26.2 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
apt-utils is already the newest version (1.4.9).
avahi-daemon is already the newest version (0.6.32-2).
avahi-discover is already the newest version (0.6.32-2).
avahi-utils is already the newest version (0.6.32-2).
dialog is already the newest version (1.3-20160828-2).
libavahi-compat-libdnssd-dev is already the newest version (0.6.32-2).
libnss-mdns is already the newest version (0.10-8).
0 upgraded, 0 newly installed, 0 to remove and 121 not upgraded.
--30%
Version actuelle : 
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
Package 'npm' is not installed, so not removed
Package 'nodejs' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 121 not upgraded.
--45%
Utilisation du dépot officiel

## Installing the NodeSource Node.js 8.x LTS Carbon repo...


## Populating apt-get cache...

+ apt-get update
Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Get:2 http://archive.raspberrypi.org/debian stretch InRelease [25.4 kB]
Hit:3 https://deb.nodesource.com/node_8.x stretch InRelease
Fetched 25.4 kB in 1s (16.3 kB/s)
Reading package lists...

## Confirming "stretch" is supported...

+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_8.x/dists/stretch/Release'

## Adding the NodeSource signing key to your keyring...

+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK

## Creating apt sources list file for the NodeSource Node.js 8.x LTS Carbon repo...

+ echo 'deb https://deb.nodesource.com/node_8.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_8.x stretch main' >> /etc/apt/sources.list.d/nodesource.list

## Running `apt-get update` for you...

+ apt-get update
Get:1 http://archive.raspberrypi.org/debian stretch InRelease [25.4 kB]
Hit:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:3 https://deb.nodesource.com/node_8.x stretch InRelease
Fetched 25.4 kB in 1s (17.5 kB/s)
Reading package lists...

## Run `sudo apt-get install -y nodejs` to install Node.js 8.x LTS Carbon and npm
## You may also need development tools to build native addons:
     sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
     curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
     echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
     sudo apt-get update && sudo apt-get install yarn


Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  nodejs
0 upgraded, 1 newly installed, 0 to remove and 121 not upgraded.
Need to get 0 B/12.4 MB of archives.
After this operation, 60.9 MB of additional disk space will be used.
Selecting previously unselected package nodejs.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 63744 files and directories currently installed.)
Preparing to unpack .../nodejs_8.16.0-1nodesource1_armhf.deb ...
Unpacking nodejs (8.16.0-1nodesource1) ...
Setting up nodejs (8.16.0-1nodesource1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Version actuelle : v8.16.0
--50%
--60%
Installation de Homebridge...
added 178 packages from 162 contributors and audited 732 packages in 25.824s
found 0 vulnerabilities

--70%
--80%
--90%
Désactivation de avahi-daemon au démarrage...(il démarrera avec le daemon (on contourne le bug de la Smart du 1 jan 1970))
--95%
--100%
Installation des dépendances Homebridge terminée, vérifiez qu'il n'y a pas d'erreur

Et le démon

Code : Tout sélectionner

[2019-7-4 18:00:16] ====================
[2019-7-4 18:00:18] Loaded plugin: homebridge-camera-ffmpeg
[2019-7-4 18:00:18] Registering platform 'homebridge-camera-ffmpeg.Camera-ffmpeg'
[2019-7-4 18:00:18] ---
[2019-7-4 18:00:18] Loaded plugin: homebridge-jeedom
[2019-7-4 18:00:18] Registering platform 'homebridge-jeedom.Jeedom'
[2019-7-4 18:00:18] ---
[2019-7-4 18:00:19] Loading 2 platforms...
[2019-7-4 18:00:19] [JEEDOM-PI_Repaired_a3] Initializing Jeedom platform...
[2019-7-4 18:00:19] [JEEDOM-PI_Repaired_a3] debugLevel:300
[2019-7-4 18:00:19] Error: The requested platform 'Alexa' was not registered by any plugin.
    at API.platform (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/api.js:134:13)
    at Server._loadPlatforms (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:327:45)
    at Server.run (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:90:36)
    at module.exports (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/cli.js:59:10)
    at Object.<anonymous> (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/bin/homebridge:17:22)
    at Module._compile (module.js:653:30)
    at Object.Module._extensions..js (module.js:664:10)
    at Module.load (module.js:566:32)
    at tryModuleLoad (module.js:506:12)
    at Function.Module._load (module.js:498:3)
[2019-7-4 18:00:19] Got SIGTERM, shutting down Homebridge...

Est-ce normal de ne rien avoir dans Gestion des Plugins pour Homebridge ? Je n'ai rien d'installer et j'avais souvenir d'avoir vu Homebridge-Alexa ..

Merci à toi
Networks514
Jeedom / Synology DS411j / Synology DS916+8G / Rpi3 / Zibase
Zwave / Enocean / Rflink / Xiaomi / Bluetooth

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 04 juil. 2019, 21:04

pour moi l'installation s'est bien passée,

pouvez vous vérifier dans le dossier : /var/www/html/plugins/homebridge/resources/node_modules/ que vous avez homebridge-alexa ?
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 04 juil. 2019, 21:09

oui dans gérer les plugin, Alexa n'est pas affiché comme il fait partie des dépendances directement.
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Networks514
Actif
Messages : 578
Inscription : 02 sept. 2016, 22:22

Re: Error: The requested platform 'Alexa' was not registered

Message par Networks514 » 04 juil. 2019, 21:19

Nebz a écrit :
04 juil. 2019, 21:04
pour moi l'installation s'est bien passée,

pouvez vous vérifier dans le dossier : /var/www/html/plugins/homebridge/resources/node_modules/ que vous avez homebridge-alexa ?
J’ai bien homebridge-Alexa avec le contenu

Code : Tout sélectionner

root@raspberrypi:/var/www/html/plugins/homebridge/resources/node_modules/homebridge-alexa# ls
config.schema.json  lib  node_modules  package.json  plugin.js  README.md  Roadmap.md  Troubleshooting.MD  V1_README.md

Dès que je rajoute ceci dans plate-forme homebridge supplémentaire , j’ai le message d’erreur au lancement du démon

Code : Tout sélectionner

{
    "platform": "Alexa",
    "name": "Alexa",
    "username": "XXX",
    "password": "XXX"
  }
Networks514
Jeedom / Synology DS411j / Synology DS916+8G / Rpi3 / Zibase
Zwave / Enocean / Rflink / Xiaomi / Bluetooth

Networks514
Actif
Messages : 578
Inscription : 02 sept. 2016, 22:22

Re: Error: The requested platform 'Alexa' was not registered

Message par Networks514 » 04 juil. 2019, 21:47

Bon, j’ai restauré ma sauvegarde de cette nuit et ça remarche
Pour info, dans Gestion des plugins pour homebridge, j’ai à nouveau :
×homebridge-alexa @ 0.1.35 - Alexa Skill frontend for Homebridge

Je retenterai plus tard la réinstallation des dépendances 😀
Et merci à toi de t’être penché sur mon pb !
Networks514
Jeedom / Synology DS411j / Synology DS916+8G / Rpi3 / Zibase
Zwave / Enocean / Rflink / Xiaomi / Bluetooth

Avatar de l’utilisateur
Masterfion
Actif
Messages : 1589
Inscription : 08 janv. 2015, 11:35
Localisation : Vallauris / Antibes

Re: Error: The requested platform 'Alexa' was not registered

Message par Masterfion » 07 juil. 2019, 20:44

Salut Nebz,

J'ai la même erreur que Networks514 mais je ne restaurerai pas ma sauvegarde :D
Nous allons devoir trouver pourquoi nous avons cette erreur... si tu veux bien.

Pourquoi et Comment : mise à jour d'un "vieux Jeedom" de prod vers Jeedom 3.3.25 (dernière stable).
Plugin Homebridge stable / beta dernière version : idem.

Log :

Code : Tout sélectionner

[2019-7-7 18:42:57] ====================
[2019-7-7 18:42:57] Loaded plugin: homebridge-camera-ffmpeg
[2019-7-7 18:42:57] Registering platform 'homebridge-camera-ffmpeg.Camera-ffmpeg'
[2019-7-7 18:42:57] ---
[2019-7-7 18:42:57] Loaded plugin: homebridge-jeedom
[2019-7-7 18:42:57] Registering platform 'homebridge-jeedom.Jeedom'
[2019-7-7 18:42:57] ---
[2019-7-7 18:42:57] Loading 2 platforms...
[2019-7-7 18:42:57] [CT-Jeedom_Repaired_2d] Initializing Jeedom platform...
[2019-7-7 18:42:57] [CT-Jeedom_Repaired_2d] debugLevel:300
[2019-7-7 18:42:57] Error: The requested platform 'Alexa' was not registered by any plugin.
at API.platform (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/api.js:134:13)
at Server._loadPlatforms (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:327:45)
at Server.run (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:90:36)
at module.exports (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/cli.js:59:10)
at Object.<anonymous> (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/bin/homebridge:17:22)
at Module._compile (module.js:653:30)
at Object.Module._extensions..js (module.js:664:10)
at Module.load (module.js:566:32)
at tryModuleLoad (module.js:506:12)
at Function.Module._load (module.js:498:3)
[2019-7-7 18:42:57] Got SIGTERM, shutting down Homebridge...
Merci pour ton aide.
Je désactive le plugin.
Beta-Testeur JEEDOM
Proxmox Core i5 Raid1 mSATA | Synology 916+

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 07 juil. 2019, 20:48

Tu peux fournir tes dep ?


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Masterfion
Actif
Messages : 1589
Inscription : 08 janv. 2015, 11:35
Localisation : Vallauris / Antibes

Re: Error: The requested platform 'Alexa' was not registered

Message par Masterfion » 08 juil. 2019, 08:30

Hello, les voici :

Code : Tout sélectionner

--10%
Lancement de l'installation/mise à jour des dépendances homebridge
--20%
Hit:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://ftp.debian.org/debian stretch InRelease
Hit:3 http://ftp.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.debian.org/debian stretch Release
Hit:5 https://deb.nodesource.com/node_8.x stretch InRelease
Hit:6 http://repo.zabbix.com/zabbix/3.4/debian stretch InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
apt-utils is already the newest version (1.4.9).
avahi-daemon is already the newest version (0.6.32-2).
avahi-discover is already the newest version (0.6.32-2).
avahi-utils is already the newest version (0.6.32-2).
libavahi-compat-libdnssd-dev is already the newest version (0.6.32-2).
build-essential is already the newest version (12.3).
dialog is already the newest version (1.3-20160828-2).
libnss-mdns is already the newest version (0.10-8).
0 upgraded, 0 newly installed, 0 to remove and 34 not upgraded.
--30%
Version actuelle :
--40%
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
Package 'nodejs' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 34 not upgraded.
--45%
Utilisation du dépot officiel
## Installing the NodeSource Node.js 8.x LTS Carbon repo...
## Populating apt-get cache...
+ apt-get update
Hit:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://ftp.debian.org/debian stretch InRelease
Hit:3 https://deb.nodesource.com/node_8.x stretch InRelease
Hit:4 http://ftp.debian.org/debian stretch-updates InRelease
Hit:5 http://ftp.debian.org/debian stretch Release
Hit:6 http://repo.zabbix.com/zabbix/3.4/debian stretch InRelease
Reading package lists...
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_8.x/dists/stretch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
## Creating apt sources list file for the NodeSource Node.js 8.x LTS Carbon repo...
+ echo 'deb https://deb.nodesource.com/node_8.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_8.x stretch main' >> /etc/apt/sources.list.d/nodesource.list
## Running `apt-get update` for you...
+ apt-get update
Hit:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://ftp.debian.org/debian stretch InRelease
Hit:3 http://ftp.debian.org/debian stretch-updates InRelease
Hit:4 https://deb.nodesource.com/node_8.x stretch InRelease
Hit:5 http://ftp.debian.org/debian stretch Release
Hit:6 http://repo.zabbix.com/zabbix/3.4/debian stretch InRelease
Reading package lists...
## Run `sudo apt-get install -y nodejs` to install Node.js 8.x LTS Carbon and npm
## You may also need development tools to build native addons:
sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update && sudo apt-get install yarn
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
nodejs
0 upgraded, 1 newly installed, 0 to remove and 34 not upgraded.
Need to get 13.6 MB of archives.
After this operation, 64.4 MB of additional disk space will be used.
Get:1 https://deb.nodesource.com/node_8.x stretch/main amd64 nodejs amd64 8.16.0-1nodesource1 [13.6 MB]
Fetched 13.6 MB in 0s (15.4 MB/s)
Selecting previously unselected package nodejs.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 58909 files and directories currently installed.)
Preparing to unpack .../nodejs_8.16.0-1nodesource1_amd64.deb ...
Detected old npm client, removing...
Unpacking nodejs (8.16.0-1nodesource1) ...
Setting up nodejs (8.16.0-1nodesource1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Version actuelle : v8.16.0
--50%
--60%
Installation de Homebridge...
added 178 packages from 162 contributors and audited 732 packages in 3.041s
found 0 vulnerabilities
--70%
--80%
--90%
Désactivation de avahi-daemon au démarrage...(il démarrera avec le daemon (on contourne le bug de la Smart du 1 jan 1970))
--95%
--100%
Installation des dépendances Homebridge terminée, vérifiez qu'il n'y a pas d'erreur
Beta-Testeur JEEDOM
Proxmox Core i5 Raid1 mSATA | Synology 916+

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 08 juil. 2019, 08:34

aucun problème de ce coté, et le dossier homebridge-alexa est bien là dans resources /node_modules ?

autre question, peux-tu relancer le démon et m'envoyer tout le log de début ? c'est la partie de chargement des modules qui m'intéresse (ou il devrait justement dire qu'il charge homebridge-alexa... ou pas ;)
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 08 juil. 2019, 08:35

sauf si t'as rien avant :
[2019-7-7 18:42:57] ====================
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Masterfion
Actif
Messages : 1589
Inscription : 08 janv. 2015, 11:35
Localisation : Vallauris / Antibes

Re: Error: The requested platform 'Alexa' was not registered

Message par Masterfion » 08 juil. 2019, 20:38

Excuse-moi, je n'ai pas pu te fournir ça plus tôt.
Voici les logs complets après reboot du daemon :

Code : Tout sélectionner

[2019-7-8 18:36:38] Loaded config.json with 0 accessories and 2 platforms.
[2019-7-8 18:36:38] ---
[2019-7-8 18:36:38] ====================
[2019-7-8 18:36:38] ERROR LOADING PLUGIN homebridge-alexa:
[2019-7-8 18:36:38] Error: Cannot find module 'bottleneck'
at Function.Module._resolveFilename (module.js:548:15)
at Function.Module._load (module.js:475:25)
at Module.require (module.js:597:17)
at require (internal/module.js:11:18)
at Object.<anonymous> (/var/www/html/plugins/homebridge/resources/node_modules/homebridge-alexa/lib/alexaLocal.js:11:18)
at Module._compile (module.js:653:30)
at Object.Module._extensions..js (module.js:664:10)
at Module.load (module.js:566:32)
at tryModuleLoad (module.js:506:12)
at Function.Module._load (module.js:498:3)
[2019-7-8 18:36:38] ====================
[2019-7-8 18:36:38] Loaded plugin: homebridge-camera-ffmpeg
[2019-7-8 18:36:38] Registering platform 'homebridge-camera-ffmpeg.Camera-ffmpeg'
[2019-7-8 18:36:38] ---
[2019-7-8 18:36:38] Loaded plugin: homebridge-jeedom
[2019-7-8 18:36:38] Registering platform 'homebridge-jeedom.Jeedom'
[2019-7-8 18:36:38] ---
[2019-7-8 18:36:38] Loading 2 platforms...
[2019-7-8 18:36:38] [CT-Jeedom_Repaired_2d] Initializing Jeedom platform...
[2019-7-8 18:36:38] [CT-Jeedom_Repaired_2d] debugLevel:300
[2019-7-8 18:36:38] Error: The requested platform 'Alexa' was not registered by any plugin.
at API.platform (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/api.js:134:13)
at Server._loadPlatforms (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:327:45)
at Server.run (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/server.js:90:36)
at module.exports (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/lib/cli.js:59:10)
at Object.<anonymous> (/var/www/html/plugins/homebridge/resources/node_modules/homebridge/bin/homebridge:17:22)
at Module._compile (module.js:653:30)
at Object.Module._extensions..js (module.js:664:10)
at Module.load (module.js:566:32)
at tryModuleLoad (module.js:506:12)
at Function.Module._load (module.js:498:3)
[2019-7-8 18:36:38] Got SIGTERM, shutting down Homebridge...
Beta-Testeur JEEDOM
Proxmox Core i5 Raid1 mSATA | Synology 916+

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 08 juil. 2019, 21:29

Ma première question, tu peux aussi vérifier stp ?


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Masterfion
Actif
Messages : 1589
Inscription : 08 janv. 2015, 11:35
Localisation : Vallauris / Antibes

Re: Error: The requested platform 'Alexa' was not registered

Message par Masterfion » 09 juil. 2019, 20:25

Hello, j'ai bien le dossier /var/www/html/plugins/homebridge/resources/node_modules/homebridge-alexa... aux côtés de 166 autres dossiers (y a du monde là dedans !).
Beta-Testeur JEEDOM
Proxmox Core i5 Raid1 mSATA | Synology 916+

Avatar de l’utilisateur
Nebz
Modérateur
Messages : 6514
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Error: The requested platform 'Alexa' was not registered

Message par Nebz » 09 juil. 2019, 21:37

Il y a un package.json dedans ?


Envoyé de mon iPhone en utilisant Tapatalk
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Avatar de l’utilisateur
Masterfion
Actif
Messages : 1589
Inscription : 08 janv. 2015, 11:35
Localisation : Vallauris / Antibes

Re: Error: The requested platform 'Alexa' was not registered

Message par Masterfion » 10 juil. 2019, 09:00

Nebz a écrit :
09 juil. 2019, 21:37
Il y a un package.json dedans ?


Envoyé de mon iPhone en utilisant Tapatalk

Yep :
2019-07-10_085943.jpg
2019-07-10_085943.jpg (25.17 Kio) Consulté 363 fois
Beta-Testeur JEEDOM
Proxmox Core i5 Raid1 mSATA | Synology 916+

Répondre

Revenir vers « [Plugin Tiers] Homebridge »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité